Package ru.bitel.bgbilling.kernel.database.common.service

# Interface DatabaseService

    public interface DatabaseService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `dropTables​(java.util.List<java.lang.String> tableNames)` |
  `java.util.List<java.lang.String>` | `getModulePluginList()` |
  `java.util.List<java.lang.String>` | `getTableData​(java.lang.String tableName, Page page)` |
  `java.util.List<java.lang.String>` | `getTableDataHeaders​(java.lang.String tableName)` |
  `java.util.List<java.lang.String>` | `getTableDataRecord​(java.lang.String tableName, int recordIndex)` |
  `java.util.List<java.lang.String>` | `getTableInfo​(java.lang.String tableName)` |
  `SearchResult<java.lang.String>` | `searchTableNames​(int moduleId, java.lang.String tableNameMask, java.lang.String[] sort, Page page)` |

- ## Method Details

  - ### getModulePluginList

    java.util.List<java.lang.String> getModulePluginList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchTableNames

    SearchResult<java.lang.String> searchTableNames​(int moduleId, java.lang.String tableNameMask, java.lang.String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTableInfo

    java.util.List<java.lang.String> getTableInfo​(java.lang.String tableName) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTableDataRecord

    java.util.List<java.lang.String> getTableDataRecord​(java.lang.String tableName, int recordIndex) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTableDataHeaders

    java.util.List<java.lang.String> getTableDataHeaders​(java.lang.String tableName) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTableData

    java.util.List<java.lang.String> getTableData​(java.lang.String tableName, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### dropTables

    void dropTables​(java.util.List<java.lang.String> tableNames) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`